GET api/Welfare/Useful/STMN?beneficiaryId={beneficiaryId}&welfareId={welfareId}&billingDate={billingDate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| beneficiaryId | integer |
Required |
|
| welfareId | integer |
Required |
|
| billingDate | date |
Required |
Body Parameters
None.
Response Information
Resource Description
ServiceResultTypedOfWelfareUsefulInfo| Name | Description | Type | Additional information |
|---|---|---|---|
| Code | integer |
None. |
|
| Errors | Collection of string |
None. |
|
| Data | WelfareUsefulInfo |
None. |
Response Formats
application/json, text/json
Sample:
{
"Code": 1,
"Errors": [
"sample string 1",
"sample string 2"
],
"Data": {
"RemainAmount": 1.0,
"MaxRequestAmount": 2.0,
"IsOutgoing": true
}
}
text/html
Sample:
{"Code":1,"Errors":["sample string 1","sample string 2"],"Data":{"RemainAmount":1.0,"MaxRequestAmount":2.0,"IsOutgoing":true}}
application/xml, text/xml
Sample:
<ServiceResultTypedOfWelfareUsefulInfoYj8O1tFc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/LSW.Common.Models">
<Code>1</Code>
<Data xmlns:d2p1="http://schemas.datacontract.org/2004/07/TTMWM_MECLAIM_API.ViewModels">
<d2p1:IsOutgoing>true</d2p1:IsOutgoing>
<d2p1:MaxRequestAmount>2</d2p1:MaxRequestAmount>
<d2p1:RemainAmount>1</d2p1:RemainAmount>
</Data>
<Errors xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</Errors>
</ServiceResultTypedOfWelfareUsefulInfoYj8O1tFc>